
From: "John W. Linville" <linville@tuxdriver.com>

Remove the superfluous test of "if (vortex_debug > 3)" inside the "if
(vortex_debug > 6)" clause early in boomerang_start_xmit.

Signed-off-by: John W. Linville <linville@tuxdriver.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/3c59x.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/net/3c59x.c~3c59x-remove-superfluous-vortex_debug-test-from-boomerang_start_xmit drivers/net/3c59x.c
--- 25/drivers/net/3c59x.c~3c59x-remove-superfluous-vortex_debug-test-from-boomerang_start_xmit	2005-06-10 17:48:49.000000000 -0700
+++ 25-akpm/drivers/net/3c59x.c	2005-06-10 17:48:49.000000000 -0700
@@ -2202,9 +2202,8 @@ boomerang_start_xmit(struct sk_buff *skb
 
 	if (vortex_debug > 6) {
 		printk(KERN_DEBUG "boomerang_start_xmit()\n");
-		if (vortex_debug > 3)
-			printk(KERN_DEBUG "%s: Trying to send a packet, Tx index %d.\n",
-				   dev->name, vp->cur_tx);
+		printk(KERN_DEBUG "%s: Trying to send a packet, Tx index %d.\n",
+			   dev->name, vp->cur_tx);
 	}
 
 	if (vp->cur_tx - vp->dirty_tx >= TX_RING_SIZE) {
_
